Skip to main content
POST
/
api
/
v1
/
school
/
users
Create user
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/users/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "password": "<string>",
  "email": "jsmith@example.com",
  "phone_number": "<string>",
  "role_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "teacher_profile": {}
}
'
{
  "email": "jsmith@example.com",
  "client": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "phone_number": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

password
string
required
Required string length: 1 - 128
email
string<email> | null
Maximum string length: 254
phone_number
string | null
Maximum string length: 20
role_ids
string<uuid>[]
teacher_profile
object

Response

201 - application/json
email
string<email> | null
Maximum string length: 254
client
string<uuid> | null
phone_number
string | null
Maximum string length: 20